package com.eactive.eai.common.scheduler;

public class ScheduleJobInfo {

	private String schedulerId; // intf_id
	private String cronExp;
	private String jobClass;
	private String schedDstcd;
	private String scanDirName;
	private String timerMsg;
	
	public ScheduleJobInfo() {
		super();
	}
	
	public ScheduleJobInfo(String schedulerId, String cronExp, String jobClass,
			String schedDstcd, String scanDirName, String timerMsg) {
		this.schedulerId = schedulerId;
		this.cronExp     = cronExp;
		this.jobClass    = jobClass;
		this.schedDstcd  = schedDstcd;
		this.scanDirName = scanDirName;
		this.timerMsg    = timerMsg; 
	}
	
	public String getSchedulerId() {
		return schedulerId;
	}
	
	public void setSchedulerId(String schedulerId) {
		this.schedulerId = schedulerId;
	}
	
	public String getCronExp() {
		return cronExp;
	}

	public void setCronExp(String cronExp) {
		this.cronExp = cronExp;
	}

	public String getJobClass() {
		return jobClass;
	}

	public void setJobClass(String jobClass) {
		this.jobClass = jobClass;
	}

	public String getSchedDstcd() {
		return schedDstcd;
	}

	public void setSchedDstcd(String schedDstcd) {
		this.schedDstcd = schedDstcd;
	}

	public String getScanDirName() {
		return scanDirName;
	}

	public void setScanDirName(String scanDirName) {
		this.scanDirName = scanDirName;
	}

	public String getTimerMsg() {
		return timerMsg;
	}

	public void setTimerMsg(String timerMsg) {
		this.timerMsg = timerMsg;
	}

	@Override
	public String toString() {
		return "ScheduleJobInfo [schedulerId=" + schedulerId + ", cronExp="
				+ cronExp + ", jobClass=" + jobClass + ", schedDstcd="
				+ schedDstcd + ", scanDirName=" + scanDirName + ", timerMsg="
				+ timerMsg + "]";
	}
	
}
